Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.puremvc.java.interfaces
Interface INotifier

All Known Subinterfaces:
  ICommand, IFacade, IMediator, IProxy

All Known Implementing Classes:
  Facade, MacroCommand, Mediator, Proxy, SimpleCommand

    public interface INotifier

The interface definition for a PureMVC Notifier.

`MacroCommand, Command, Mediator` and `Proxy` all have a need to send `Notifications`.

The `INotifier` interface provides a common method called `sendNotification` that relieves implementation code of the necessity to actually construct `Notifications`.

The `Notifier` class, which all of the above mentioned classes extend, also provides an initialized reference to the `Facade` Singleton, which is required for the convienience method for sending `Notifications`, but also eases implementation as these classes have frequent `Facade` interactions and usually require access to the facade anyway.

See Also:
  `IFacade`, `INotification`

Method Summary
`void` | `sendNotification(java.lang.String notificationName)` Send a `INotification`.
`void` | `sendNotification(java.lang.String notificationName, java.lang.Object body)` Send a `INotification`.
`void` | `sendNotification(java.lang.String notificationName, java.lang.Object body, java.lang.String type)` Send a `INotification`.

Method Detail

### sendNotification

    void sendNotification(java.lang.String notificationName,
                          java.lang.Object body,
                          java.lang.String type)

  Send a `INotification`.

  Convenience method to prevent having to construct new notification instances in our implementation code.

  Parameters:
    `notificationName` - the name of the notification to send
    `body` - the body of the notification (optional)
    `type` - the type of the notification (optional)

### sendNotification

    void sendNotification(java.lang.String notificationName,
                          java.lang.Object body)

  Send a `INotification`.

  Convenience method to prevent having to construct new notification instances in our implementation code.

  Parameters:
    `notificationName` - the name of the notification to send
    `body` - the body of the notification (optional)

### sendNotification

    void sendNotification(java.lang.String notificationName)

  Send a `INotification`.

  Convenience method to prevent having to construct new notification instances in our implementation code.

  Parameters:
    `notificationName` - the name of the notification to send

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD